org.apache.nutch.indexer

## Class IndexingJob.IndexerMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<K1,V1,K2,V2>
  - - org.apache.gora.mapreduce.GoraMapper<String,WebPage,String,NutchDocument>
    - - org.apache.nutch.indexer.IndexingJob.IndexerMapper

- Enclosing class:
    IndexingJob

      public static class IndexingJob.IndexerMapper
      extends org.apache.gora.mapreduce.GoraMapper<String,WebPage,String,NutchDocument>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `Mapper.Context`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.avro.util.Utf8` | `batchId`
    `IndexUtil` | `indexUtil`
    `org.apache.gora.store.DataStore<String,WebPage>` | `store`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexingJob.IndexerMapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cleanup(Mapper.Context context)`
    `void` | `map(String key, WebPage page, Mapper.Context context)`
    `void` | `setup(Mapper.Context context)`

    - ### Methods inherited from class org.apache.gora.mapreduce.GoraMapper

      `initMapperJob, initMapperJob, initMapperJob, initMapperJob, initMapperJob`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### indexUtil

          public IndexUtil indexUtil

    - #### store

          public org.apache.gora.store.DataStore<String,WebPage> store

    - #### batchId

          protected org.apache.avro.util.Utf8 batchId

  - ### Constructor Detail

    - #### IndexingJob.IndexerMapper

          public IndexingJob.IndexerMapper()

  - ### Method Detail

    - #### setup

          public void setup(Mapper.Context context)
                     throws IOException

      Overrides:
        `setup` in class `Mapper<String,WebPage,String,NutchDocument>`
      Throws:
        `IOException`

    - #### cleanup

          protected void cleanup(Mapper.Context context)
                          throws IOException,
                                 InterruptedException

      Overrides:
        `cleanup` in class `Mapper<String,WebPage,String,NutchDocument>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### map

          public void map(String key,
                 WebPage page,
                 Mapper.Context context)
                   throws IOException,
                          InterruptedException

      Overrides:
        `map` in class `Mapper<String,WebPage,String,NutchDocument>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2015 The Apache Software Foundation